<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author pedro.garcia
@description  página que permite revisar la digitalización de los documentos asociados a un trámite
    y aprobarla si es el caso. El nombre no dice nada acerca de la funcionalidad (controlCalidad.xhtml)

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->


<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalProcessCU.xhtml">


    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Revisión de digitalización de documentos::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <p:focus />

        <h:form id="revDigitalizacionDocumentosForm">
            <p:messages id="msgsRevDigitDocs" showDetail="false" globalOnly="false" />

            <p:spacer height="20" width="0" />


            <h:panelGrid columns="4" cellspacing="7"
                         columnClasses="colPequena, colMediana, colPequena, colMediana">
                <h:outputLabel value="Número de solicitud: "
                               styleClass="outputLabelStyle" />
                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="detalleSolicitudEjecutarWV.show();"
                               update="msgsRevDigitDocs, :detalleSolicitudEjecutarForm">
                    <h:outputText
                        value="#{digitalizacionDocumentos.currentTramite.solicitud.numero}"
                        styleClass="outputTextStyle" />
                    <f:setPropertyActionListener
                        value="#{digitalizacionDocumentos.currentTramite.solicitud}"
                        target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>

                <h:outputLabel value="Fecha de solicitud: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{digitalizacionDocumentos.currentTramite.solicitud.fecha}"
                    styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFecha}" />
                </h:outputText>

                <h:outputLabel value="Número de radicación: "
                               styleClass="outputLabelStyle" />
                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="detalleTramiteEjecutarWV.show();"
                               update=":detalleTramiteEjecutarForm"
                               title="click para ver detalles del trámite"
                               rendered="#{digitalizacionDocumentos.currentTramite.numeroRadicacion != null
                                           and not empty digitalizacionDocumentos.currentTramite.numeroRadicacion }">
                    <h:outputText
                        value="#{digitalizacionDocumentos.currentTramite.numeroRadicacion}"
                        styleClass="outputTextStyle" />
                    <f:setPropertyActionListener
                        value="#{digitalizacionDocumentos.currentTramite}"
                        target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                </p:commandLink>
                <h:outputText value="No tiene"
                              rendered="#{digitalizacionDocumentos.currentTramite.numeroRadicacion == null
                                          or digitalizacionDocumentos.currentTramite.numeroRadicacion eq ''}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Fecha de radicación: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{digitalizacionDocumentos.currentTramite.fechaRadicacion}"
                    styleClass="outputTextStyle">
                    <f:convertDateTime pattern="#{general.formatoFecha}" />
                </h:outputText>

                <h:outputLabel value="Derecho Petición/Tutela: "
                               styleClass="outputLabelStyle" />
                <p:commandLink styleClass="commandLinkStyleInTable"
                               oncomplete="detalleSolicitudEjecutarWV.show();"
                               update=":detalleSolicitudEjecutarForm" process="@this">
                    <h:outputText
                        value="#{digitalizacionDocumentos.currentTramite.formaPeticionTramite}" />
                    <f:setPropertyActionListener
                        value="#{digitalizacionDocumentos.currentTramite.solicitud}"
                        target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>

                <h:outputLabel value="Tipo de trámite: "
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{digitalizacionDocumentos.currentTramite.tipoTramiteCadenaCompleto}"
                    styleClass="outputTextStyle" />

            </h:panelGrid>

            <p:spacer height="20" width="1" />

            <p:dataTable
                value="#{digitalizacionDocumentos.currentTramite.tramiteDocumentacions}"
                var="documentoTramite" id="revDocumentosDigitalizarDT"
                paginator="true" rows="10"
                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                rowKey="#{documentoTramite.id}"
                emptyMessage="No se encontraron documentos">
                <f:facet name="header">
                    Documentos asociados al trámite
                </f:facet>

                <p:column headerText="Opciones">

                    <p:commandButton disabled="#{documentoTramite.digital != 'SI'}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();reemplazarDocumentacionWV.show()"
                                     immediate="true" id="editarDocumentacion"
                                     icon="ui-icon ui-icon-pencil" title="Editar"
                                     update=":documentacionReemForm,:msgsDoc,:documentacionReemForm2">
                        <f:setPropertyActionListener value="#{documentoTramite}"
                                                     target="#{digitalizacionDocumentos.selectedTramiteDocumentacion}" />						
                    </p:commandButton>

                </p:column>

                <p:column headerText="Aportado">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoTramite.aporta?'SI':'NO'}" />
                </p:column>

                <p:column headerText="Radicado en correspondencia">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoTramite.documentoSoporte.fechaRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Fecha de correspondencia">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoTramite.documentoSoporte.fechaDocumento}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Tipo de documento">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoTramite.tipoDocumento.nombre}" />
                </p:column>

                <p:column headerText="Detalle">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoTramite.detalle}" />
                </p:column>

                <p:column headerText="Folios">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoTramite.cantidadFolios}" />
                </p:column>

                <p:column headerText="Documento soporte">

                    <p:commandLink
                        value="#{documentoTramite.documentoSoporte.archivo}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{vistaDetallesTramite.cargarDocumentoTemporalPrev}"
                        rendered="#{!documentoTramite.documentoSoporte.archivoADescargar}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoAlfresco}"
                            value="#{documentoTramite.documentoSoporte}" />
                        <f:setPropertyActionListener target="#{vistaDetallesTramite.selectedTramiteDocumentacion}" value="#{documentoTramite}"/>
                    </p:commandLink>

                </p:column>

                <p:column headerText="Digital">
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoTramite.digital}" />
                </p:column>

            </p:dataTable>

            <p:spacer height="30" width="1" />

        </h:form>




        <p:dialog header="Detalle del trámite" widgetVar="detalleTramiteEjecutarWV" modal="false" 
                  appendToBody="true" resizable="true" position="center"
                  height="480" width="960">
            <ui:include src="/conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <p:dialog header="Documentación trámite" widgetVar="reemplazarDocumentacionWV"
                  resizable="true" id="docTramModal" width="750" height="400"
                  showEffect="fade" maximizable="true" hideEffect="explode"
                  modal="true" appendToBody="true" dynamic="true"> 
            <ui:include src="reemplazarDocumentoTramite.xhtml">
                <ui:param name="managedBeanParam" value="#{digitalizacionDocumentos}" />
                <ui:param name="selectedDocumentParam"
                          value="#{digitalizacionDocumentos.selectedTramiteDocumentacion}" />
                <ui:param name="banderaEdicionParam"
                          value="#{true}" />
                <ui:param name="mostrarBotonEliminarParam" value="#{false}" />
                <ui:param name="successUploadParam" value="#{true}" />
                <ui:param name="mostrarDetallesParam" value="#{true}" />
                <ui:param name="updateFormParam" value=":revDigitalizacionDocumentosForm, :revDigitalizacionDocumentosForm:revDocumentosDigitalizarDT" />
            </ui:include>
        </p:dialog>
        <ui:include src="/util/visorGeografico.xhtml" />			
    </ui:define>
</ui:composition>


